.banner {
    height: 25.71rem;
    text-align: center;
    background-repeat: no-repeat;
    background-size: 100% 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center
}

.banner .banner-desc {
    word-break: break-all;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    overflow: hidden
}

.banner .search {
    position: relative;
    margin: 35px auto 0;
    padding-left: 2.71rem;
    width: 960px;
    height: 50px;
    border-radius: 25px;
    background-color: #fff;
    cursor: pointer;
    overflow: hidden
}

.banner .search-input {
    width: 100%;
    border: none;
    outline: none;
    height: 100%
}

.banner .search-input::placeholder {
    color: var(--color-gray);
    font-size: 1rem
}

.banner .search-input:focus-visible {
    box-shadow: none
}

.banner .search-icon {
    position: absolute;
    right: 0;
    top: 0;
    height: 100%;
    width: 5rem;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 1.8rem;
    color: var(--color-black)
}

a:-webkit-any-link {
    text-decoration: none;
    /* color: #000; */
}

.wrap {
    padding-top: 30px;
    margin-bottom: 4rem;
    display: flex
}

.wrap .list {
    width: calc(100% - 220px - 10.21rem)
}

.wrap .list .list-item {
    height: 396px;
    background: #ffffff;
    color: var(--color-black);
    overflow: hidden;
    border-radius: 10px
}

.wrap .list .list-item-photo {
    width: 100%;
    height: 172px;
    font-size: 0
}

.wrap .list .list-item-photo img {
    width: 100%;
    height: 100%;
    display: block
}

.wrap .list .list-item-title {
    margin-top: 1.5rem;
    font-size: 18px;
    font-weight: bold;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap
}

.wrap .list .list-item-desc {
    margin-top: 10px;
    color: #808080;
    word-break: break-all;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    overflow: hidden
}

.wrap .list .list-item-tag {
    margin-top: 10px;
    width: 100%;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap
}

.wrap .list .list-item-tag span {
    margin-right: 10px;
    display: inline-block;
    padding: 2px 6px;
    background: #f3f3f3;
    border-radius: 3px;
    font-size: 12px
}

.wrap .list .list-item-tag span:last-of-type {
    margin-right: 0
}

.wrap .list .list-item-info {
    margin-top: 1.07rem;
    display: flex;
    align-items: center
}

.wrap .list .list-item-info .split {
    margin: 0 .64rem;
    width: 1px;
    height: .86rem;
    background-color: #ccc
}

.wrap .list .list-item-info .date {
    color: #ccc
}

.wrap .list .avatarinfo {
    margin-top: 34px;
    display: flex;
    align-items: center
}

.wrap .list .avatarinfo img {
    width: 24px;
    height: 24px;
    border-radius: 100%
}

.wrap .list .avatarinfo span {
    margin-left: 10px
}

.wrap .list .createdt {
    padding: 4px 0 0 34px;
    color: var(--color-gray1)
}

.wrap .assets {
    flex-shrink: 0;
    width: 220px;
    margin-left: 10.21rem
}

.wrap .assets .article {
    margin-bottom: 7.14rem
}

.wrap .assets .article:last-of-type {
    margin-top: 0
}

.wrap .assets .article-title {
    display: flex;
    align-items: center;
    padding-bottom: .21rem;
    border-bottom: 1px solid #e9e9e9
}

.wrap .assets .article-title h5 {
    font-size: 15px;
    font-weight: bold;
    color: var(--color-black)
}

.wrap .assets .article-title img {
    margin-bottom: .5rem;
    margin-left: .79rem;
    width: 1.11rem;
    height: 1.36rem
}

.wrap .assets .article ul {
    margin-top: 1.93rem;
    list-style: none;
    padding-left: 0
}

.wrap .assets .article ul li {
    padding-bottom: .6rem;
    cursor: pointer
}

.wrap .assets .article ul li:last-of-type {
    padding-bottom: 0
}

.wrap .assets .article ul li:hover a {
    color: var(--color-primary)
}

.wrap .assets .article ul a {
    display: block;
    color: var(--color-black);
    overflow: hidden;
    text-overflow: ellipsis;
    text-decoration: underline;
    white-space: nowrap;
    transition: .3s
}

.wrap .empty {
    margin-top: 100px;
    display: flex;
    align-items: center;
    justify-content: center
}

#pagination {
    margin: 80px 0 0 10px;
    display: flex;
    align-items: center;
    justify-content: center
}

.condition {
    padding: 24px 0;
    background-color: #fff
}

.ul {
    list-style: none;
    padding: 0;
    margin-bottom: 0;
    display: flex
}

.tag-group-container+.tag-group-container {
    margin-top: 15px
}

.tag-group {
    display: flex
}

.tag-group .label {
    width: 106px;
    flex-shrink: 0;
    padding-right: 50px;
    height: 33px;
    line-height: 33px;
    color: var(--color-gray1)
}

.tag-group .tag {
    list-style: none;
    padding: 0;
    margin-bottom: 0;
    display: flex;
    flex-wrap: wrap;
    gap: 20px 4px
}

.tag-group .tag .tag-item {
    cursor: pointer;
    padding: 4px 10px;
    border-radius: 3px;
    color: var(--color-black);
    display: flex;
    align-items: center
}

.tag-group .tag .tag-item.selected {
    font-weight: bold;
    background-color: #f3f3f3
}

.sort {
    margin-top: 30px;
    align-items: center;
    list-style: none;
    padding: 0;
    margin-bottom: 0;
    display: flex
}

.sort li {
    cursor: pointer;
    display: flex;
    align-items: center
}

.sort li:not(:last-of-type)::after {
    content: '';
    display: block;
    height: 12px;
    margin: 0 16px;
    border-right: 1px solid var(--color-gray)
}

.sort .sort-text {
    display: flex;
    align-items: center;
    user-select: none
}

.sort .sort-icon {
    margin-bottom: 8px;
    margin-left: 5px;
    display: flex;
    flex-direction: column
}

.sort .sort-icon i {
    height: 6px;
    font-size: 12px;
    transform: scale(.8);
    color: var(--color-gray)
}

.sort .sort-icon i.selected {
    color: var(--color-black)
}

.hover:hover {
    box-shadow: 0 6px 27px 5px rgba(186, 186, 186, 0.4)
}